mod wadfile;

use wadfile::WADFile;

pub fn load_wad(path: &str) -> WADFile {
    WADFile::from_path(path)
}

pub fn get_wad_path(wad_file: &WADFile) -> String {
    wad_file.wad_path.to_string()
}

pub fn get_wad_type(wad_file: &WADFile) -> String {
    wad_file.identifier.to_string()
}

pub fn get_num_lumps(wad_file: &WADFile) -> u32 {
    wad_file.num_lumps
}

pub fn get_init_offset(wad_file: &WADFile) -> u32 {
    wad_file.init_offset
}
